Skip to content

Bulk write 'TenantApplicant'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
tenantobject(Tenant)required

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
income_sourcesArray of strings, unique

Additional Validation Information:

Enum Descriptions:

  • ACTIVITY_COMPENSATION - Activity Compensation

  • ACTIVITY_GRANT - Activity Grant

  • UNEMPLOYMENT_BENEFIT - Unemployment Benefit

  • PARENTAL_LEAVE - Parental Leave

  • SICK_LEAVE - Sick Leave

  • DEVELOPMENT_ALLOWANCE - Development Allowance

  • CHILD_PENSION - Child Pension

  • CARE_ALLOWANCE - Care Allowance

  • STUDENT_AID - Student Aid

  • HOUSING_ALLOWANCE - Housing Allowance

  • HOUSING_SUPPLEMENT - Housing Supplement

  • ESTABLISHMENT_SUPPLEMENT - Establishment Supplement

  • EXTRA_COST_ALLOWANCE - Extra Cost Allowance

  • LIVING_EXPENSE_SUPPLEMENT - Living Expense Supplement

  • CHILD_ALLOWANCE - Child Allowance

  • MAINTENANCE_ALLOWANCE - Maintenance Allowance

  • MAINTENANCE_SUPPORT - Maintenance Support

  • FIXED_TERM - Fixed Term

  • STUDENT_INCOME - Student Income

  • PERMANENT_EMPLOYMENT - Permanent Employment

  • PENSION - Pension

Items Enum:"ACTIVITY_COMPENSATION""ACTIVITY_GRANT""UNEMPLOYMENT_BENEFIT""PARENTAL_LEAVE""SICK_LEAVE""DEVELOPMENT_ALLOWANCE""CHILD_PENSION""CARE_ALLOWANCE""STUDENT_AID""HOUSING_ALLOWANCE"
annual_incomeinteger or null, (int32), <= 2147483647
employment_role_descriptionstring or null, <= 1024 characters
employment_start_yearinteger or null, (int32), <= 2147483647
employer_namestring or null, <= 1024 characters
employer_phone_numberstring or null, <= 1024 characters'^\+?1?\d{7,15}$'
employer_emailstring or null, (email), <= 254 characters
employer_websitestring or null, (url), <= 200 characters
current_landlordstring or null, <= 1024 characters
current_landlord_phone_numberstring or null, <= 1024 characters'^\+?1?\d{7,15}$'
current_housing_typestring or null, <= 1024 characters

Additional Validation Information:

Enum Descriptions:

  • BRF_APARTMENT - Brf Apartment

  • RENTABLE_APARTMENT - Rentable Apartment

  • OWNER_OCCUPIED_HOUSING - Owner Occupied Housing

  • LIVING_WITH_PARENTS - Living With Parents

  • LODGER - Lodger

Enum:"BRF_APARTMENT""RENTABLE_APARTMENT""OWNER_OCCUPIED_HOUSING""LIVING_WITH_PARENTS""LODGER"
has_petsboolean or null
number_of_employeesinteger or null, (int32), <= 2147483647
revenue_last_annual_reportinteger or null, (int32), <= 2147483647
business_descriptionstring or null, <= 1000 characters
additional_notesstring or null, <= 1000 characters
]
POST
/markets/applicants/tenantapplicant/list/
curl -i -X POST \
  https://dev.api.pigello.io/markets/applicants/tenantapplicant/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "tenant": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "income_sources": "ACTIVITY_COMPENSATION",
      "annual_income": 2147483647,
      "employment_role_description": "string",
      "employment_start_year": 2147483647,
      "employer_name": "string",
      "employer_phone_number": "string",
      "employer_email": "user@example.com",
      "employer_website": "string",
      "current_landlord": "string",
      "current_landlord_phone_number": "string",
      "current_housing_type": "BRF_APARTMENT",
      "has_pets": true,
      "number_of_employees": 2147483647,
      "revenue_last_annual_report": 2147483647,
      "business_description": "string",
      "additional_notes": "string"
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
tenantobject(Tenant)required

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
income_sourcesArray of strings, unique

Additional Validation Information:

Enum Descriptions:

  • ACTIVITY_COMPENSATION - Activity Compensation

  • ACTIVITY_GRANT - Activity Grant

  • UNEMPLOYMENT_BENEFIT - Unemployment Benefit

  • PARENTAL_LEAVE - Parental Leave

  • SICK_LEAVE - Sick Leave

  • DEVELOPMENT_ALLOWANCE - Development Allowance

  • CHILD_PENSION - Child Pension

  • CARE_ALLOWANCE - Care Allowance

  • STUDENT_AID - Student Aid

  • HOUSING_ALLOWANCE - Housing Allowance

  • HOUSING_SUPPLEMENT - Housing Supplement

  • ESTABLISHMENT_SUPPLEMENT - Establishment Supplement

  • EXTRA_COST_ALLOWANCE - Extra Cost Allowance

  • LIVING_EXPENSE_SUPPLEMENT - Living Expense Supplement

  • CHILD_ALLOWANCE - Child Allowance

  • MAINTENANCE_ALLOWANCE - Maintenance Allowance

  • MAINTENANCE_SUPPORT - Maintenance Support

  • FIXED_TERM - Fixed Term

  • STUDENT_INCOME - Student Income

  • PERMANENT_EMPLOYMENT - Permanent Employment

  • PENSION - Pension

Items Enum:"ACTIVITY_COMPENSATION""ACTIVITY_GRANT""UNEMPLOYMENT_BENEFIT""PARENTAL_LEAVE""SICK_LEAVE""DEVELOPMENT_ALLOWANCE""CHILD_PENSION""CARE_ALLOWANCE""STUDENT_AID""HOUSING_ALLOWANCE"
annual_incomeinteger or null, (int32), <= 2147483647
employment_role_descriptionstring or null, <= 1024 characters
employment_start_yearinteger or null, (int32), <= 2147483647
employer_namestring or null, <= 1024 characters
employer_phone_numberstring or null, <= 1024 characters'^\+?1?\d{7,15}$'
employer_emailstring or null, (email), <= 254 characters
employer_websitestring or null, (url), <= 200 characters
current_landlordstring or null, <= 1024 characters
current_landlord_phone_numberstring or null, <= 1024 characters'^\+?1?\d{7,15}$'
current_housing_typestring or null, <= 1024 characters

Additional Validation Information:

Enum Descriptions:

  • BRF_APARTMENT - Brf Apartment

  • RENTABLE_APARTMENT - Rentable Apartment

  • OWNER_OCCUPIED_HOUSING - Owner Occupied Housing

  • LIVING_WITH_PARENTS - Living With Parents

  • LODGER - Lodger

Enum:"BRF_APARTMENT""RENTABLE_APARTMENT""OWNER_OCCUPIED_HOUSING""LIVING_WITH_PARENTS""LODGER"
has_petsboolean or null
number_of_employeesinteger or null, (int32), <= 2147483647
revenue_last_annual_reportinteger or null, (int32), <= 2147483647
additional_residentsanyread-only
business_descriptionstring or null, <= 1000 characters
additional_notesstring or null, <= 1000 characters
]
Response
[ { "organization": { … }, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "tenant": { … }, "income_sources": "ACTIVITY_COMPENSATION", "annual_income": 2147483647, "employment_role_description": "string", "employment_start_year": 2147483647, "employer_name": "string", "employer_phone_number": "string", "employer_email": "user@example.com", "employer_website": "string", "current_landlord": "string", "current_landlord_phone_number": "string", "current_housing_type": "BRF_APARTMENT", "has_pets": true, "number_of_employees": 2147483647, "revenue_last_annual_report": 2147483647, "additional_residents": null, "business_description": "string", "additional_notes": "string" } ]